Skip to main content
GET
/
organization
/
{organizationId}
/
annotationsGroups
/
{annotationsGroupId}
/
associatedItems
Get organization annotations group associated items
curl --request GET \
  --url https://api.qovery.com/organization/{organizationId}/annotationsGroups/{annotationsGroupId}/associatedItems \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "item_name": "<string>",
      "item_type": "APPLICATION",
      "cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "cluster_name": "<string>",
      "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "project_name": "<string>",
      "environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "environment_name": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-update-mcp-query.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

annotationsGroupId
string<uuid>
required

Organization annotations group ID

Response

Get organization annotations group token associated items

results
object[]